/**
 * Copyright (c) 2015-present, JD.COM.
 * All rights reserved.
 */
'use strict';

import React from 'react';
import ReactDOM from 'react-dom';
import StyleSheet from '../StyleSheet/StyleSheet';
import AppContainer from './AppContainer';

function renderApplication<D, P, S>(
    RootComponent: ReactClass<D, P, S>,
    initialProps: P,
    rootTag: any,
    WrapperComponent?: ?ComponentType<*>
) {
    ReactDOM.render(
        <AppContainer
            rootComponent={RootComponent}
            initialProps={initialProps}
            WrapperComponent={WrapperComponent}
            rootTag={rootTag} />,
        rootTag
    );
}

var styles = StyleSheet.create({
    appContainer: {
        width: '100%',
        height: '100%',
    },
});

export default renderApplication;
