'use strict';

/**
 * Copyright (c) 2015-present, JD.COM.
 * All rights reserved.
 */
import PropTypes from 'prop-types';

import React, { Component } from 'react';
import StyleSheet from '../StyleSheet/StyleSheet';
import View from '../View/View';

class KeyboardAvoidingView extends Component {
  render(): ?ReactElement {
    return (
      <View {...this.props}>
        <View style={[{width: '100%', height: '100%'}, this.props.style, this.props.contentContainerStyle]}>
          {this.props.children}
        </View>
      </View>
    );
  }
}

KeyboardAvoidingView.propTypes = {
  // behavior: PropTypes.oneOf(['height', 'position', 'padding']),
  contentContainerStyle: View.propTypes.style,
};

KeyboardAvoidingView.isReactNativeComponent = true;

export default KeyboardAvoidingView;
