/**
 * Copyright (c) 2015-present, JD.COM.
 * All rights reserved.
 */
'use strict';

function appendSytle({
  reference,
  rootClassName,
  viewClassName
}) {

  var docEl = document.documentElement;
  var styleEl = document.createElement('style');
  docEl.firstElementChild.appendChild(styleEl);
  var rem = docEl.clientWidth / reference;

  var boxStyle = `
  box-sizing: border-box;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  `;

var isUCBrowser = /UCBrowser/i.test(navigator.userAgent);
if(isUCBrowser) {
  boxStyle = `
    box-sizing: border-box;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    `;
}

  styleEl.innerHTML = `
  html {
    font-size: ${rem}px!important;
  }
  body {
    font-size: 14px;
    margin: 0;
  }
  .${rootClassName} {
    position: relative;
    ${boxStyle}
  }
  .${rootClassName} .${viewClassName} {
    position: relative;
    ${boxStyle}
    -webkit-flex-shrink: 0;
    flex-shrink: 0;
    min-width: 0;
    min-height: 0;
  }
  `;
}

function setDefaultStyle(options) {
  var metaEl = document.querySelector('meta[name="viewport"]');
  if (!metaEl) {
    return console.warn('Viewport meta not set');
  }

  window.addEventListener('resize', function() {
    appendSytle(options);
  }, false);

  appendSytle(options);
}

module.exports = setDefaultStyle;
