'use strict';

const webpack = require('webpack');
const merge = require('webpack-merge');
const baseWebpackConfig = require('./webpack.config.base');
const prodConfig = merge({}, baseWebpackConfig, {
  devtool: '#source-map',
  performance: {
    hints: 'warning', // "error" 或者 false 都是有效值
    maxAssetSize: 409600, //400K，默认244KB
    maxEntrypointSize: 15360000, //1.5M 
  },
  mode: 'production',
  plugins: [
    new webpack.DefinePlugin({
      'process.env': {
        'NODE_ENV': JSON.stringify('production'),
      },
      '__DEV__': false
    }),
  ]
})
module.exports = prodConfig;