/**
 * Copyright (c) 2015-present, JingDong Group Holding Limited.
 * All rights reserved.
 */
'use strict';

var path = require('path');

module.exports = {
  getRoot: function() {
    if (__dirname.match(/node_modules[\/\\]@jdreact[\/\\]jdreact-core-web[\/\\]local-cli/)) {
      // CLI is running from node_modules.
      // This is the default case for all projects created using 'jdreact-core-web init'.
      return path.resolve(__dirname, '../../../../..');
    } else {
      return path.resolve(__dirname, '../..');
    }
  },

  getCliConfig: function() {
    const rootDir = this.getRoot();
    const config = require(`${rootDir}/web/config`);
    return config[process.env.NODE_ENV === 'development' ? 'dev' : 'build'];
  },

  getWebpackConfig: function() {
    const rootDir = this.getRoot();
    const env = process.env.NODE_ENV === 'development' ? 'dev' : 'prod';
    const webpackConfig = require(`${rootDir}/web/webpack.config.${env}`);
    return webpackConfig;
  }

}